kind: CustomResourceDefinition
apiVersion: apiextensions.k8s.io/v1
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"apiextensions.k8s.io/v1","kind":"CustomResourceDefinition","metadata":{"annotations":{"operator.tekton.dev/last-applied-hash":"c9f9cc113edace6efe208b81ada66a3d58c89cd8217d945776792322ebc96fa7"},"labels":{"app.kubernetes.io/instance":"default","app.kubernetes.io/part-of":"tekton-pipelines","operator.tekton.dev/operand-name":"tektoncd-pipelines","pipeline.tekton.dev/release":"v0.50.1","version":"v0.50.1"},"name":"tasks.tekton.dev","ownerReferences":[{"apiVersion":"operator.tekton.dev/v1alpha1","blockOwnerDeletion":true,"controller":true,"kind":"TektonPipeline","name":"pipeline","uid":"c375888b-cf6e-4548-b5a9-f21dc28d8ee6"}]},"spec":{"conversion":{"strategy":"Webhook","webhook":{"clientConfig":{"service":{"name":"tekton-pipelines-webhook","namespace":"openshift-pipelines"}},"conversionReviewVersions":["v1beta1","v1"]}},"group":"tekton.dev","names":{"categories":["tekton","tekton-pipelines"],"kind":"Task","plural":"tasks","singular":"task"},"preserveUnknownFields":false,"scope":"Namespaced","versions":[{"name":"v1beta1","schema":{"openAPIV3Schema":{"type":"object","x-kubernetes-preserve-unknown-fields":true}},"served":true,"storage":false,"subresources":{"status":{}}},{"name":"v1","schema":{"openAPIV3Schema":{"type":"object","x-kubernetes-preserve-unknown-fields":true}},"served":true,"storage":true,"subresources":{"status":{}}}]}}
    operator.tekton.dev/last-applied-hash: c9f9cc113edace6efe208b81ada66a3d58c89cd8217d945776792322ebc96fa7
  resourceVersion: '11062355'
  name: tasks.tekton.dev
  uid: 857db03b-7412-4354-9ec2-faea6462285b
  creationTimestamp: '2023-09-26T03:24:47Z'
  generation: 4
  managedFields:
    - manager: kube-apiserver
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:24:47Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:acceptedNames':
            'f:categories': {}
            'f:kind': {}
            'f:listKind': {}
            'f:plural': {}
            'f:singular': {}
          'f:conditions':
            'k:{"type":"Established"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"NamesAccepted"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      subresource: status
    - manager: manifestival
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:31:11Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:operator.tekton.dev/last-applied-hash': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/part-of': {}
            'f:operator.tekton.dev/operand-name': {}
            'f:pipeline.tekton.dev/release': {}
            'f:version': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"c375888b-cf6e-4548-b5a9-f21dc28d8ee6"}': {}
        'f:spec':
          'f:conversion':
            .: {}
            'f:strategy': {}
            'f:webhook':
              .: {}
              'f:clientConfig':
                .: {}
                'f:service':
                  .: {}
                  'f:name': {}
                  'f:namespace': {}
                  'f:port': {}
              'f:conversionReviewVersions': {}
          'f:group': {}
          'f:names':
            'f:categories': {}
            'f:kind': {}
            'f:listKind': {}
            'f:plural': {}
            'f:singular': {}
          'f:scope': {}
          'f:versions': {}
    - manager: openshift-pipelines-webhook
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:32:30Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:conversion':
            'f:webhook':
              'f:clientConfig':
                'f:caBundle': {}
                'f:service':
                  'f:path': {}
    - manager: openshift-pipelines-operator
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:32:45Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:storedVersions': {}
      subresource: status
  ownerReferences:
    - apiVersion: operator.tekton.dev/v1alpha1
      kind: TektonPipeline
      name: pipeline
      uid: c375888b-cf6e-4548-b5a9-f21dc28d8ee6
      controller: true
      blockOwnerDeletion: true
  labels:
    app.kubernetes.io/instance: default
    app.kubernetes.io/part-of: tekton-pipelines
    operator.tekton.dev/operand-name: tektoncd-pipelines
    pipeline.tekton.dev/release: v0.50.1
    version: v0.50.1
spec:
  group: tekton.dev
  names:
    plural: tasks
    singular: task
    kind: Task
    listKind: TaskList
    categories:
      - tekton
      - tekton-pipelines
  scope: Namespaced
  versions:
    - name: v1beta1
      served: true
      storage: false
      schema:
        openAPIV3Schema:
          type: object
          x-kubernetes-preserve-unknown-fields: true
      subresources:
        status: {}
    - name: v1
      served: true
      storage: true
      schema:
        openAPIV3Schema:
          type: object
          x-kubernetes-preserve-unknown-fields: true
      subresources:
        status: {}
  conversion:
    strategy: Webhook
    webhook:
      clientConfig:
        service:
          namespace: openshift-pipelines
          name: tekton-pipelines-webhook
          path: /resource-conversion
          port: 443
        caBundle: >-
          LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUN6akNDQW5TZ0F3SUJBZ0lSQUp5V0dRN2hBTHFwNHc0S3lLNFZTL2t3Q2dZSUtvWkl6ajBFQXdJd1VURVUKTUJJR0ExVUVDaE1MYTI1aGRHbDJaUzVrWlhZeE9UQTNCZ05WQkFNVE1IUmxhM1J2Ymkxd2FYQmxiR2x1WlhNdApkMlZpYUc5dmF5NXZjR1Z1YzJocFpuUXRjR2x3Wld4cGJtVnpMbk4yWXpBZUZ3MHlNekE1TWpZd016TXlNamxhCkZ3MHlNekV3TURNd016TXlNamxhTUZFeEZEQVNCZ05WQkFvVEMydHVZWFJwZG1VdVpHVjJNVGt3TndZRFZRUUQKRXpCMFpXdDBiMjR0Y0dsd1pXeHBibVZ6TFhkbFltaHZiMnN1YjNCbGJuTm9hV1owTFhCcGNHVnNhVzVsY3k1egpkbU13V1RBVEJnY3Foa2pPUFFJQkJnZ3Foa2pPUFFNQkJ3TkNBQVQ1Y0pPQzJ5ZlB5Um9ibGxPTXgyMTVNVTRkCllNUFUvbS9CWk9Tem54ZStCR0VucG52cDJWRnZvS2pFZFdnb216RXFnQWN6aG1qOHNtdGZiUXNHdXNmVG80SUIKS3pDQ0FTY3dEZ1lEVlIwUEFRSC9CQVFEQWdLRU1CMEdBMVVkSlFRV01CUUdDQ3NHQVFVRkJ3TUJCZ2dyQmdFRgpCUWNEQWpBUEJnTlZIUk1CQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJUeTZFUHdWZDFKRkxNNU9SSFpnM0tjCms3RXV1RENCeFFZRFZSMFJCSUc5TUlHNmdoaDBaV3QwYjI0dGNHbHdaV3hwYm1WekxYZGxZbWh2YjJ1Q0xIUmwKYTNSdmJpMXdhWEJsYkdsdVpYTXRkMlZpYUc5dmF5NXZjR1Z1YzJocFpuUXRjR2x3Wld4cGJtVnpnakIwWld0MApiMjR0Y0dsd1pXeHBibVZ6TFhkbFltaHZiMnN1YjNCbGJuTm9hV1owTFhCcGNHVnNhVzVsY3k1emRtT0NQblJsCmEzUnZiaTF3YVhCbGJHbHVaWE10ZDJWaWFHOXZheTV2Y0dWdWMyaHBablF0Y0dsd1pXeHBibVZ6TG5OMll5NWoKYkhWemRHVnlMbXh2WTJGc01Bb0dDQ3FHU000OUJBTUNBMGdBTUVVQ0lRQzYyTFliTHRZSjhFdlNUYU16ZkpQTwpYRFJidlhCRzBOdFYyVzVjdFE2TkRnSWdSMVlJTDlBc0ZQbjlOMVlGdXpTMGxyczAyQm5LbUtxcjFBUGNOcmNOCklGdz0KLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
      conversionReviewVersions:
        - v1beta1
        - v1
status:
  conditions:
    - type: NamesAccepted
      status: 'True'
      lastTransitionTime: '2023-09-26T03:24:47Z'
      reason: NoConflicts
      message: no conflicts found
    - type: Established
      status: 'True'
      lastTransitionTime: '2023-09-26T03:24:47Z'
      reason: InitialNamesAccepted
      message: the initial names have been accepted
  acceptedNames:
    plural: tasks
    singular: task
    kind: Task
    listKind: TaskList
    categories:
      - tekton
      - tekton-pipelines
  storedVersions:
    - v1
